#include "tile.h"

Tile::Tile (QString c, QWidget *parent) : QPushButton(parent), color(c), clicked(false)
{
    updateStyle();
}

void Tile::changeState ()
{
    clicked = !clicked;
    updateStyle();
}

void Tile::updateStyle ()
{
    setProperty("state", QVariant(QString("%1-%2").arg(color).arg(clicked)));
    // trik pro aktualizaci vlastnosti
    style()->unpolish(this);
    style()->polish(this);
}